Package twisted :: Package im :: Module gtkcommon :: Class InputOutputWindow |
[frames | no frames]

## Class InputOutputWindow

Known Subclasses:
  `Conversation`, `GroupConversation`

Method Summary
| `__init__(self, rootName, inputName, outputName)`
| `getCurrentWord(self, entry)`
| `handle_key_press_event(self, entry, event)`
| `hidden(self, w)`
| `hide(self)`
| `historyDown(self)`
| `historyUp(self)`
| `show(self)`
| ``tabComplete`(self, word)` Override me to implement tab completion for your window, I should return a list of potential matches.

Method Details

### tabComplete(self, word) Override me to implement tab completion for your window, I should return a list of potential matches.

Generated by Epydoc 2.0 on Sat Oct 25 00:55:13 2003 | http://epydoc.sf.net